Bug 17068 - empty list item in opac-reserves.tt
Summary: empty list item in opac-reserves.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Eric Phetteplace
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-06 17:39 UTC by Eric Phetteplace
Modified: 2017-12-07 22:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
patch (1.31 KB, patch)
2016-08-06 17:47 UTC, Eric Phetteplace
Details | Diff | Splinter Review
Bug 17068 - Empty li in holds request page (1.29 KB, patch)
2016-08-06 18:55 UTC, Nick Clemens
Details | Diff | Splinter Review
fixed patch (1.41 KB, patch)
2016-08-06 19:17 UTC, Eric Phetteplace
Details | Diff | Splinter Review
Bug 17068: empty <li> in opac-reserve.tt (1.46 KB, patch)
2016-08-06 21:29 UTC, Jason Robb
Details | Diff | Splinter Review
Bug 17068: empty <li> in opac-reserve.tt (1.51 KB, patch)
2016-08-06 22:34 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Phetteplace 2016-08-06 17:39:42 UTC
There's an empty <li> in opac-reserves.tt around line 280:

</li>
                                                        [% END # / IF OpacHoldNotes %]

                                                        <li>
                                                        </li>
                                                        [% IF bibitemloo.itemholdable %]
                                                            <!-- ITEM HOLDS -->

etc...

I'll add a patch in a bit that just deletes this tag.

Testing plan:

- sign in as user, go to place a hold
- view source on the holds page, find empty <li> in between the "hold notes" textarea and the <!-- ITEM HOLDS --> comment
- apply patch
- revisit holds page
- no more empty list item
Comment 1 Eric Phetteplace 2016-08-06 17:47:13 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2016-08-06 18:55:12 UTC Comment hidden (obsolete)
Comment 3 Eric Phetteplace 2016-08-06 19:17:35 UTC Comment hidden (obsolete)
Comment 4 Jason Robb 2016-08-06 21:29:31 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2016-08-06 22:34:53 UTC
Created attachment 54082 [details] [review]
Bug 17068: empty <li> in opac-reserve.tt

empty HTML list item on 'holds' page, to test:
- sign in as user
- attempt to place hold
- view source in between 'holds note' textarea & <!-- ITEM HOLDS --> comment
- note empty <li>
- apply patch
- repeat process above up until patch
- no more empty <li>

Signed-off-by: Jason Robb <jrobb@sekls.org>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Brendan Gallagher 2016-08-07 02:46:13 UTC
Pushed to Master - Should be in the November 2016 release!  Thanks and welcome to the community Eric!
Comment 7 Frédéric Demians 2016-08-07 07:40:43 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 8 Julian Maurice 2016-08-17 13:58:20 UTC
Patch pushed to 3.22.x, will be in 3.22.10